FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CRUX > CRUX

 
 
LinkBack Thread Tools
 
Old 01-09-2008, 02:11 PM
 
Default Kernel problem

Hi,

today I tried to update my kernel from 2.6.20.3 to 2.6.23.12.
I used my old config file, but got following error:
Kernel panic - not synching: VFS: Unable to mount root fs on unknown
block (8,1)

Lilo.conf is the same as everytime. Did the kernel guys change something or where is the error?

Thanks
Frank
--
Ist Ihr Browser Vista-kompatibel? Jetzt die neuesten
Browser-Versionen downloaden: http://www.gmx.net/de/go/browser
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 
Old 01-09-2008, 02:14 PM
"Ross Cameron"
 
Default Kernel problem

Probably missing the SCSI or SATA or ATA driver for you're hard disk controller.

On Jan 9, 2008 5:11 PM, <thagonzo@gmx.at> wrote:
>
> Hi,
>
> today I tried to update my kernel from 2.6.20.3 to 2.6.23.12.
> I used my old config file, but got following error:
> Kernel panic - not synching: VFS: Unable to mount root fs on unknown
> block (8,1)
>
> Lilo.conf is the same as everytime. Did the kernel guys change something or where is the error?
>
> Thanks
> Frank
> --
> Ist Ihr Browser Vista-kompatibel? Jetzt die neuesten
> Browser-Versionen downloaden: http://www.gmx.net/de/go/browser
> _______________________________________________
> CRUX mailing list
> CRUX@lists.crux.nu
> http://lists.crux.nu/mailman/listinfo/crux
>
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 
Old 01-09-2008, 05:31 PM
"Frank Walser"
 
Default Kernel problem

As I wrote it's the config file that work with 2.6.20.3.

Thank you

> Probably missing the SCSI or SATA or ATA driver for you're hard disk
> controller.
>
> On Jan 9, 2008 5:11 PM, <thagonzo@gmx.at> wrote:
> >
> > Hi,
> >
> > today I tried to update my kernel from 2.6.20.3 to 2.6.23.12.
> > I used my old config file, but got following error:
> > Kernel panic - not synching: VFS: Unable to mount root fs on unknown
> > block (8,1)
> >
> > Lilo.conf is the same as everytime. Did the kernel guys change something
> or where is the error?
> >
> > Thanks
> > Frank
> > --
> > Ist Ihr Browser Vista-kompatibel? Jetzt die neuesten
> > Browser-Versionen downloaden: http://www.gmx.net/de/go/browser
> > _______________________________________________
> > CRUX mailing list
> > CRUX@lists.crux.nu
> > http://lists.crux.nu/mailman/listinfo/crux
> >

--
GMX FreeMail: 1 GB Postfach, 5 E-Mail-Adressen, 10 Free SMS.
Alle Infos und kostenlose Anmeldung: http://www.gmx.net/de/go/freemail
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 
Old 01-09-2008, 06:26 PM
Thomas Penteker
 
Default Kernel problem

* Frank Walser (thagonzo@gmx.at) wrote:
>
> As I wrote it's the config file that work with 2.6.20.3.
>

Did you copy the old config as .config in the kernel's source-dir and
say ``make oldconfig' afterwards?


kind regards, Thomas Penteker
--
Power company testing new voltage spike (creation) equipment
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 
Old 01-09-2008, 07:34 PM
 
Default Kernel problem

> Did you copy the old config as .config in the kernel's source-dir and
> say ``make oldconfig' afterwards?

Yes I did that. Apologies for being off-topic at this list, but I simply can't find the error.

Thank you.


--
Psssst! Schon vom neuen GMX MultiMessenger gehört?
Der kann`s mit allen: http://www.gmx.net/de/go/multimessenger?did=10
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 
Old 01-09-2008, 08:04 PM
Clemens Koller
 
Default Kernel problem

thagonzo@gmx.at schrieb:
> Hi,
>
> today I tried to update my kernel from 2.6.20.3 to 2.6.23.12.
> I used my old config file, but got following error:
> Kernel panic - not synching: VFS: Unable to mount root fs on unknown
> block (8,1)

Did you do an
$ make oldconfig
step ?
If you didn't (in between releases), you've found your
error. Go back and try again, then.

> Lilo.conf is the same as everytime.

Well, post it.

> Did the kernel guys change something or where is the error?

Of course, they do... for every single release they
change thousands of lines of code!

Well, if above didn't help, post your old as well as your
then new .config file and the full
$ dmesg
output and a
$ lspci -v
and a
$ cat /proc/cpuinfo

so we can at least check what kind of hardware you are running,
what you included and what you missed...
Also, disable all unneeded modules to avoid conflicting
drivers. You can also try to boot the latest CRUX-2.4 included
kernel and - if it boots - use that kernel and configuration as
a start for your new system.
If the CRUX-2.4 included kernel doesn't boot on your machine,
then you are riding a really strange horse. Let's know more
about it, then.

I, personally, prefer to include only the stuff I need/want
on each system - no modules, no bells 'n' whistles, small and
easy to upgrade (less moving CONFIG_* stuff).

And just to make it clear: The kernel and it's configuration
is _not_ a custom part of CRUX so you don't necessarily get
best support here. I suggest you to also ask Google for
more hints and kernel configuration HOWTOs.

Regards,
--
Clemens Koller
________________________________
Anagramm GmbH
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 
Old 01-09-2008, 08:48 PM
Alan Mizrahi
 
Default Kernel problem

El Mié 09 Ene 2008, thagonzo@gmx.at escribió:
> > Did you copy the old config as .config in the kernel's source-dir and
> > say ``make oldconfig' afterwards?
>
> Yes I did that. Apologies for being off-topic at this list, but I simply
> can't find the error.
>
> Thank you.

Try enabling CONFIG_BLK_DEV_MD.
If it doesn't make sense, just try it.

Alan
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 
Old 01-10-2008, 05:59 PM
 
Default Kernel problem

> You can also try to boot the latest CRUX-2.4 included
> kernel and - if it boots - use that kernel and configuration as
> a start for your new system.
> If the CRUX-2.4 included kernel doesn't boot on your machine,
> then you are riding a really strange horse. Let's know more
> about it, then.

Ok, I took the CRUX-2.4 config file compiled a kernel with it and got the same error message.
I attached the dmesg and lspci output, my lilo.conf and the config file I use with the 2.6.20.3 kernel.

Thank you
Frank

--
Ist Ihr Browser Vista-kompatibel? Jetzt die neuesten
Browser-Versionen downloaden: http://www.gmx.net/de/go/browser
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 
Old 01-10-2008, 10:24 PM
Clemens Koller
 
Default Kernel problem

thagonzo@gmx.at schrieb:
>> You can also try to boot the latest CRUX-2.4 included
>> kernel and - if it boots - use that kernel and configuration as
>> a start for your new system.
>> If the CRUX-2.4 included kernel doesn't boot on your machine,
>> then you are riding a really strange horse. Let's know more
>> about it, then.
>
> Ok, I took the CRUX-2.4 config file compiled a kernel with it
> and got the same error message.

But you can boot CRUX-2.4 successfully, can you?
Then you should propably check if your kernel tree is really
clean and you built it correct.

> I attached the dmesg and lspci output, my lilo.conf and the
> config file I use with the 2.6.20.3 kernel.

Hmm... it's not so helpful if you don't include the config of
the failing 2.6.23.12 kernel.
Your dmesg looks quite fine, otherwise.
While looking through your old (working) config I think you
should also enable CONFIG_BLK_DEV_IDE_SATA and friends for the
new kernel and disable the old PATA stuff.
There were many IDE/SATA changes/moves regarding the new SATA
support.


Regards,
--
Clemens Koller
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 

Thread Tools




All times are GMT. The time now is 01:04 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org